#
# spec file for package python3-nose-doc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-nose-doc
Version:        1.3.7
Release:        4.2
Url:            http://readthedocs.org/docs/nose/
Summary:        Nose extends unittest to make testing easier
License:        LGPL-2.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/n/nose/nose-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-2to3
BuildRequires:  python3-Sphinx
BuildRequires:  python3-devel
Requires:       python3-nose = %{version}
BuildArch:      noarch

%description
Nose extends the test loading and running features of unittest, making
it easier to write, find and run tests.

By default, nose will run tests in files or directories under the current
working directory whose names include "test" or "Test" at a word boundary
(like "test_this" or "functional_test" or "TestClass" but not
"libtest"). Test output is similar to that of unittest, but also includes
captured stdout output from failing tests, for easy print-style debugging.

These features, and many more, are customizable through the use of
plugins. Plugins included with nose provide support for doctest, code
coverage and profiling, flexible attribute-based test selection,
output capture and more.

%prep
%setup -q -n nose-%{version}

%build
python3 setup.py build_sphinx && rm build/spinx/html/.buildinfo # Generate HTML documentation

%install

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG examples build/sphinx/html

%changelog
* Fri Jun  5 2015 arun@gmx.de
- update to version 1.3.7:
  * Fix loading packages from capitalised package on Windows
    Patch by Thomas Kluyver
* Tue Apr  7 2015 arun@gmx.de
- update to version 1.3.6:
  * Re-release of 1.3.5 with wheels fixed.
- changes from version 1.3.5:
  * Fix #875: nose doesn't collect tests when subpackage is given as
    arg
  * Fix #809: tests not discovered for namespace packages on Windows
  * Fix #815: "ValueError: unsupported pickle protocol" with --with-id
  * Wrap the working dir path name in quotes when reporting an error.
    Patch by Őry Máté.
  * Fix #887: Fix a discrepancy in test names between Python 2 and
    Python 3
  * Fix #131: Use os.stat() to check if file is executable Patch by
    Arnon Yaari.
  * Fix #820 and #719: Fix coverage plugin with multiprocess Patch by
    Nicolas Grasset.
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * remove ifs for opensuse version <=1220
* Thu Jan  1 2015 arun@gmx.de
- specfile: update copyright year
- update to version 1.3.4:
  * Recognize doctest options defined in other plugins Patch by Daniel Lepage
  * Another fix for Python 3.4: Call super in LazySuite to access _removed_tests variable Patch by Robert Kuska
  * Fix for try_run when using bound methods Patch by Christian Lyder Jacobsen
* Thu May  8 2014 toddrme2178@gmail.com
- update to 1.3.3:
  - 1.3.3 fixes a simple issue with the reported version number.
- update to 1.3.2:
  - Fixed an issue where build_ext was not working under setup.py nosetest
  - Fixed #786: generator method fails with callable instance
  - Fixed a traceback when using string exceptions
  - Fixed #792: "Not a directory" error when using python setup.py nosetests
  - Fixed #779: xunit report file is written in --where directory
  - Fixed #782: Test failures with Python >= 3.3
  - Fixed #780: Fix a regression with Python 3
  - Fixed #783: try_run is broken with Python 3.4
* Thu Apr 17 2014 toddrme2178@gmail.com
- update to 1.3.1:
  * very long list of bugfixes, see included CHANGELOG for details
* Tue Nov 20 2012 saschpe@suse.de
- Update to version 1.2.1:
  + Correct nose.__version__ (#549). Thanks to Chris Withers for the bug report.
- Changes from version 1.2.0:
  + Fixed issue where plugins included with `addplugins` keyword could
    be overridden by built-in plugins (or third-party plugins registered
    with setuptools) of the same name (#466).
  + Adds :option:`--cover-xml` and :option:`--cover-xml-file` (#311).
  + Adds support for :option:`--cover-branches` (related to #370).
  + Fixed Unicode issue on Python 3.1 with coverage (#442)
  + fixed class level fixture handling in multiprocessing plugin
  + Clue in the ``unittest`` module so it no longer prints traceback frames for
    our clones of their simple assertion helpers (#453). Patch by Erik Rose.
  + Stop using the ``assert`` statement in ``ok_`` and ``eq_`` so they work under
    ``python -O`` (#504). Patch by Erik Rose.
  + Add loglevel option to logcapture plugin (#493).
  + Add doctest options flag (#7 from google code tracker).
  + Add support for using 2to3 with the nosetests setuptools command.
  + Add --cover-min-percentage flag to force test runs without sufficient
    coverage to fail (#540). Patch by Domen Kožar.
  + Add travis-ci configuraion (#545).
  + Call reactor.stop from twisted thread (#301).
- Changes from version 1.1.2:
  + Fixed regression where the .coverage file was not saved (#439).
* Fri May 25 2012 toddrme2178@gmail.com
- Added python 3 documentation package
